<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$page           		= basename(__FILE__);
$s_project_properties   = session_get_project_properties();
$project_name           = $s_project_properties['project_name'];
$project_id 			= $s_project_properties['project_id'];
$row_style              = '';

session_set_properties("project_manage", $_GET);
$selected_project_properties 	= session_get_properties("project_manage");
$selected_project_id 			= $selected_project_properties['project_id'];
$bug_component_id 				= $selected_project_properties['bug_component_id'];

html_window_title();
html_print_body();
html_page_title($project_name ." - ". lang_get('edit_bug_component_page') );
html_page_header( $db, $project_name );
html_print_menu();

html_project_manage_map( Array("project_manage_link", "bug_component_link", "Edit") );

print"<br>\n";

error_report_check( $_GET );

print"<div align=center>\n";

########################################################################################
# Edit Area Tested

$row = project_get_bug_component($selected_project_id, $bug_component_id);
$component = $row[COMPONENT_NAME];


print"<form method=post action='project_edit_bug_component_action.php'>\n";
print"<input type=hidden name=project_id value=$selected_project_id>\n";
print"<input type=hidden name=bug_component_id value=$bug_component_id>";
print"<span class='required'>*</span><span class='print'>" . lang_get('must_complete_field') . "</span>\n";
print"<table class='width70'>\n";
print"<tr>\n";
print"<td>\n";
print"<table class=inner>\n";

print"<tr>\n";
print"<td class=form-header-l>".lang_get('edit_bug_component')."</td>\n";
print"</tr>\n";

print"<tr>\n";
print"<td class='form-lbl-c'>". lang_get('bug_component') ."<span class='required'>*</span>\n";
print"<input type=text size=60 maxlength=64 name='bug_component_required' value='". session_validate_form_get_field( 'bug_component_required', $component ) ."'>\n";

print"&nbsp;<input type=submit value='".lang_get("save")."'>\n";
print"</td>\n";
print"</tr>\n";


print"</table>\n";
print"</td>\n";
print"</tr>\n";
print"</table>\n";
print"</form>\n";

print"</div>\n";

html_print_footer();
?>